Skip to Content

List agents

Returns the agents the caller can reach, newest first, without their drafts, optionally filtered by `namespaceId`.

GET
/v1/agents

Returns the agents the caller can reach, newest first, without their drafts, optionally filtered by namespaceId. Pass nextCursor back as cursor for the next page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string
namespaceId?string
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

AgentPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.agents.list({});
Example Response
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "setupJob": "support",
      "namespaceId": "string",
      "publishedVersion": -9007199254740991,
      "publishedAt": "string",
      "pausedAt": "string",
      "creditsPausedAt": "string",
      "monthlySpendCapDollars": 0,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation